Application (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.server.session.Application class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.server.session
Class Application

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.appdef.AppdefBean
              org.hyperic.hq.appdef.server.session.AppdefNamedBean
                  org.hyperic.hq.appdef.server.session.AppdefResource
                      org.hyperic.hq.appdef.server.session.Application

All Implemented Interfaces:
  java.io.Serializable, ContainerManagedTimestampTrackable, HasAuthzOperations

    public class Application

extends AppdefResource
implements HasAuthzOperations

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.appdef.server.session.AppdefNamedBean
`description, location, modifiedBy, name, sortName`

Fields inherited from class org.hyperic.hq.appdef.AppdefBean
`cid, creationTime, modifiedTime`

Constructor Summary
`Application()` default constructor
`Application(java.lang.Integer id)`

Method Summary
`protected java.lang.String` | `_getAuthzOp(java.lang.String op)`
`AppService` | `addEntryPoint(java.lang.Integer aService)`
`AppService` | `addService(java.lang.Integer aService)`
`AppService` | `addServiceCluster(java.lang.Integer aClusterPK)`
`boolean` | `equals(java.lang.Object obj)`
`AppdefResourceType` | `getAppdefResourceType()`
`AppdefResourceValue` | `getAppdefResourceValue()`
`ApplicationType` | `getApplicationType()`
`ApplicationValue` | `getApplicationValue()` Deprecated. use (this) Application object instead
`ApplicationValue` | `getApplicationValueObject()`
`java.util.Collection` | `getAppServices()`
`java.util.Set` | `getAppServiceSnapshot()`
`java.lang.String` | `getBusinessContact()`
`java.lang.String` | `getEngContact()`
`AppdefEntityID` | `getEntityId()` Get the appdefEntityId for this platform legacy code from EJB entity bean
`java.lang.String` | `getOpsContact()`

Methods inherited from class org.hyperic.hq.appdef.server.session.AppdefResource
`getName, getResource, getSortName, setName, setResource, setSortName`

Methods inherited from class org.hyperic.hq.appdef.server.session.AppdefNamedBean
`getAuthzOp, getDescription, getLocation, getModifiedBy, setDescription, setLocation, setModifiedBy`

Methods inherited from class org.hyperic.hq.appdef.AppdefBean
`allowContainerManagedCreationTime, allowContainerManagedLastModifiedTime, getCid, getCreationTime, getCTime, getModifiedTime, getMTime, hashCode, matchesValueObject, setCid, setCreationTime, setModifiedTime`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hyperic.hq.authz.HasAuthzOperations
`getAuthzOp`

Constructor Detail

### Application

    public Application()

  default constructor

### Application

    public Application(java.lang.Integer id)

Method Detail

### getEntityId

    public AppdefEntityID getEntityId()

  Description copied from class: `AppdefNamedBean`
  Get the appdefEntityId for this platform legacy code from EJB entity bean

  Specified by:
    `getEntityId` in class `AppdefNamedBean`

### getEngContact

    public java.lang.String getEngContact()

### getOpsContact

    public java.lang.String getOpsContact()

### getBusinessContact

    public java.lang.String getBusinessContact()

### getApplicationType

    public ApplicationType getApplicationType()

### getAppServices

    public java.util.Collection getAppServices()

### addEntryPoint

    public AppService addEntryPoint(java.lang.Integer aService)

### addServiceCluster

    public AppService addServiceCluster(java.lang.Integer aClusterPK)

### addService

    public AppService addService(java.lang.Integer aService)

### getAppServiceSnapshot

    public java.util.Set getAppServiceSnapshot()

### getApplicationValue

    public ApplicationValue getApplicationValue()

  Deprecated. use (this) Application object instead

  Returns:

### getApplicationValueObject

    public ApplicationValue getApplicationValueObject()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `AppdefBean`

### getAppdefResourceType

    public AppdefResourceType getAppdefResourceType()

  Specified by:
    `getAppdefResourceType` in class `AppdefNamedBean`

### getAppdefResourceValue

    public AppdefResourceValue getAppdefResourceValue()

  Specified by:
    `getAppdefResourceValue` in class `AppdefNamedBean`

### _getAuthzOp

    protected java.lang.String _getAuthzOp(java.lang.String op)

  Specified by:
    `_getAuthzOp` in class `AppdefNamedBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.